#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Class
Summary:	Test::Class - easily create test classes in an xUnit style
Summary(pl.UTF-8):	Test::Class - łatwe tworzenie testowych klas w stylu xUnit
Name:		perl-Test-Class
Version:	0.50
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4cc3aaad36b72f424ed90122701d2451
URL:		http://search.cpan.org/dist/Test-Class/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Attribute-Handlers >= 0.77
BuildRequires:	perl-Class-ISA >= 0.32
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-Test-Simple >= 0.46
BuildRequires:	perl-Test-Builder-Tester >= 1.04
BuildRequires:	perl-Test-Differences >= 0.43
BuildRequires:	perl-Test-Exception >= 0.10
%endif
Requires:	perl(IO::File) >= 1.14
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Class provides a simple way of creating classes and objects to
test your code in an xUnit style.

%description -l pl.UTF-8
Test::Class udostępnia prosty sposób tworzenia klas i obiektów,
testujących Twój kod w stylu xUnit.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Test/Class.pm
%{perl_vendorlib}/Test/Class
%{_mandir}/man3/Test::Class.3pm*
%{_mandir}/man3/Test::Class::*.3pm*
%changelog
* Sun Jul 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Class.git;a=log;h=master

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 2111cd2
- updated to 0.50

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> a9245cd
- up to 0.36

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 43d384d
- updated to 0.33

* Sat Dec 13 2008 Maciej Pijanka <agaran@pld-linux.org> 9c97e9d
- up to 0.31

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> 8d787c9
- up to 0.27

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 4138b46
- generic URL

* Tue Mar 27 2007 radek <radek@pld-linux.org> 7c0bba1
- release 2: BR T::B::T >= 1.04

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab45edd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4125368
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 59f423a
- added R:

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 8b5c4b0
- ver. 0.20

* Thu May 05 2005 ankry <ankry@pld-linux.org> 4f76417
- updated to 0.11

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 1775dab
- updated to 0.07

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1465d1c
- formatting

* Tue Jun 01 2004 radek <radek@pld-linux.org> c706a39
- turned off t/pod.t (dumb, meaningless and failing test)

* Fri May 07 2004 ankry <ankry@pld-linux.org> 8c944a5
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 133ae35
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> f9e8892
- license fixes, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> ea29819
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> ea7814d
- cosmetics

